Package org.apache.synapse.commons.staxon.core.json.stream

# Interface JsonStreamSource

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `Location`

All Known Implementing Classes:
  `AddRootSource`, `StreamSourceDelegate`

public interface JsonStreamSource extends Closeable, Location
JSON stream source.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `JsonStreamSource.Value`
  Represents a simple value.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final JsonStreamSource.Value`
  `FALSE`
  "false" value
  `static final JsonStreamSource.Value`
  `NULL`
  "null" value
  `static final JsonStreamSource.Value`
  `TRUE`
  "true" value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `endArray()`
  Consume `JsonStreamToken.END_ARRAY` token.
  `void`
  `endObject()`
  Consume `JsonStreamToken.END_OBJECT` token.
  `String`
  `name()`
  Consume `JsonStreamToken.NAME` token.
  `JsonStreamToken`
  `peek()`
  Peek next token.
  `void`
  `startArray()`
  Consume `JsonStreamToken.START_ARRAY` token.
  `void`
  `startObject()`
  Consume `JsonStreamToken.START_OBJECT` token.
  `JsonStreamSource.Value`
  `value()`
  Consume `JsonStreamToken.VALUE` token.

  ### Methods inherited from interface java.io.Closeable

  `close`

  ### Methods inherited from interface javax.xml.stream.Location

  `getCharacterOffset, getColumnNumber, getLineNumber, getPublicId, getSystemId`

- ## Field Details

  - ### TRUE

    static final JsonStreamSource.Value TRUE
    "true" value

  - ### FALSE

    static final JsonStreamSource.Value FALSE
    "false" value

  - ### NULL

    static final JsonStreamSource.Value NULL
    "null" value

- ## Method Details

  - ### name

    String name() throws IOException
    Consume `JsonStreamToken.NAME` token.
    Returns:
      name
    Throws:
      `IOException`

  - ### value

    JsonStreamSource.Value value() throws IOException
    Consume `JsonStreamToken.VALUE` token.
    Returns:
      value
    Throws:
      `IOException`

  - ### startObject

    void startObject() throws IOException
    Consume `JsonStreamToken.START_OBJECT` token.
    Throws:
      `IOException`

  - ### endObject

    void endObject() throws IOException
    Consume `JsonStreamToken.END_OBJECT` token.
    Throws:
      `IOException`

  - ### startArray

    void startArray() throws IOException
    Consume `JsonStreamToken.START_ARRAY` token.
    Throws:
      `IOException`

  - ### endArray

    void endArray() throws IOException
    Consume `JsonStreamToken.END_ARRAY` token.
    Throws:
      `IOException`

  - ### peek

    JsonStreamToken peek() throws IOException
    Peek next token.
    Returns:
      token
    Throws:
      `IOException`